CRMchat APIBeta
Telegram APIMessages

messages.getMessagesViews

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getMessagesViews

Get and increase the view counter of a message sent or forwarded from a channel

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Get and increase the view counter of a message sent or forwarded from a channel

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getMessagesViews" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "id": [        0      ],      "increment": true    }  }'
{  "result": {    "_": "messages.messageViews",    "views": [      {        "_": "messageViews",        "views": 0,        "forwards": 0,        "replies": {          "_": "messageReplies",          "comments": true,          "replies": 0,          "repliesPts": 0,          "recentRepliers": [            {              "_": "peerUser",              "userId": 0            }          ],          "channelId": 0,          "maxId": 0,          "readMaxId": 0        }      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}